#version 400 
#extension GL_EXT_gpu_shader4 : enable

#pragma IGLU_DISABLE DEPTH_TEST

layout(location = IGLU_VERTEX)   in vec3 vertex;
layout(location = IGLU_TEXCOORD) in vec2 texCoord;

out vec2 fragCoord;

void main( void )
{  
	gl_Position = vec4( vertex, 1.0 );
	fragCoord = texCoord;
}